Bug 738404 - "Detect Now" button is enabled on disabled drift configurations
"Detect Now" button is enabled on disabled drift configurations
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.1
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-09-14 13:56 EDT by Mike Foley
Modified: 2012-02-07 14:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
disabled drift configuration .... detect now (36.09 KB, image/png)
2011-09-14 13:56 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-09-14 13:56:54 EDT
Created attachment 523217 [details]
disabled drift configuration .... detect now

Description of problem:  "Detect Now" button is enabled on disabled drift configurations.  And if you click "Detect Now" on a disabled drift configuration, you receive a message that drift detection request occurred (and it is really  not clear to me if it happened or not).  see image.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  disable a drift configuration
2.  click "detect now"
3.  observe message that a drift detection request occurred
  
Actual results:
a drift detection request occurs

Expected results:
a drift detection request does not occur, or a message is displayed saying the drift configuration is disabled

Additional info:  see attached image
Comment 1 John Sanda 2011-11-03 10:22:17 EDT
Added logic to make the 'Detect Now' button disabled when the selected definition is disabled.

master branch commit hash:  fcc69d253f3951b374732afb365135c019933ecd
release_jon3.x commit hash: 3f7dcfefbd9f962505761462605cdf9c1153a7ea
Comment 2 Mike Foley 2011-11-03 14:03:59 EDT
verified build #684
Comment 3 Mike Foley 2012-02-07 14:23:09 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.